<script setup lang="ts">
import { useSupportStore } from "@/modules/00_support/store/Main";
import TableCategory from "@/modules/00_support/components/category/TableCategory.vue";
import { onMounted, onUnmounted, ref } from "vue";

const store = useSupportStore();

onMounted(async () => {
  store.socket.connect();
});

onUnmounted(async () => {
  store.socket.disconnect();
});
</script>

<template>
  <table-category />
</template>

<style scoped></style>
